<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Formularios</title>
  </head>
  
  <body>
    
    <h1>Formularios</h1>
    <!--action hace que cuando hacemos click en un botón vaya a la página a buscar eso
    input sirve para poner distintos elementos como texto, números, fecha, archivo
    label ayuda a saber que tengo que poner-->
    
    <form action="">
      <div>
        <label for="">Texto</label>
        <input type="text" />
      </div>

      <div>
        <label for="">Números</label>
        <input type="number" />
      </div>

      <div>
        <label for="">Fecha</label>
        <input type="date" />
      </div>

      <div>
          <label for="">Archivo</label>
          <input type="file">
      </div>

      <div>
          <label for="">Aceptar términos y condiciones</label>
          <input type="checkbox">
      </div>

      <div>
          <label for="">Mail</label>
          <input type="email" name="" id="">
      </div>

      <div>
          <label for="">Password</label>
          <input type="password" name="" id="">
      </div>

      <div>
          <label for="">Botón</label>
          <input type="submit" value="Enviar">
      </div>

      <div>
          <label for="">Rango</label>
          <input type="range" name="" id="">
      </div>
    </form>
  
  </body>

</html>
